function RES=sortRowsByFirstCol(SRC)
% Сортирует строки по первому столбцу; создает второй столбец, куда
%     записывает исходный индекс строки; остальные столбцы сдвигаются
%     вправо
% Метод сортировки - пузырек

RES=[SRC(:,1) SRC];
[m,n]=size(RES);
for i=1:m
    RES(i,2)=i;
end
for i=1:m-1
    max=RES(i,1);
    index=i;
    for j=i+1:m
        if max<RES(j,1)
            max=RES(j,1);
            index=j;
        end
    end
    temp=RES(i,:);
    RES(i,:)=RES(index,:);
    RES(index,:)=temp;
end